Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.ant.listener.internaldata
Class TargetNode

    java.lang.Object
      com.nokia.ant.listener.internaldata.DataNode
          com.nokia.ant.listener.internaldata.TargetNode

    public class TargetNode

extends DataNode

Constructor Summary
`TargetNode(DataNode parent, org.apache.tools.ant.Target target)`

Method Summary
`long` | `getEndCommittedHeap()`
`long` | `getEndUsedHeap()`
`java.lang.String` | `getFilename()`
`int` | `getLine()`
`java.lang.String` | `getName()` Name of the node.
`long` | `getStartCommittedHeap()`
`long` | `getStartUsedHeap()`
`void` | `setEndCommittedHeap(long endCommittedHeap)`
`void` | `setEndUsedHeap(long endUsedHeap)`
`void` | `setFilename(java.lang.String filename)`
`void` | `setLine(int line)`
`void` | `setStartCommittedHeap(long startCommittedHeap)`
`void` | `setStartUsedHeap(long startUsedHeap)`

Methods inherited from class com.nokia.ant.listener.internaldata.DataNode
`add, find, getEndTime, getJobId, getParent, getReference, getStartTime, getThreadId, isEmpty, iterator, remove, setEndTime, setReference, setStartTime, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TargetNode

    public TargetNode(DataNode parent,
                      org.apache.tools.ant.Target target)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from class: `DataNode`
  Name of the node.

  Specified by:
    `getName` in class `DataNode`
  Returns:
    name of the node (e.g target name for targets)

### getFilename

    public java.lang.String getFilename()

### setFilename

    public void setFilename(java.lang.String filename)

### getLine

    public int getLine()

### setLine

    public void setLine(int line)

### getStartUsedHeap

    public long getStartUsedHeap()

### setStartUsedHeap

    public void setStartUsedHeap(long startUsedHeap)

### getStartCommittedHeap

    public long getStartCommittedHeap()

### setStartCommittedHeap

    public void setStartCommittedHeap(long startCommittedHeap)

### getEndUsedHeap

    public long getEndUsedHeap()

### setEndUsedHeap

    public void setEndUsedHeap(long endUsedHeap)

### getEndCommittedHeap

    public long getEndCommittedHeap()

### setEndCommittedHeap

    public void setEndCommittedHeap(long endCommittedHeap)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD